POST
/backend/{appId}/auth
http://amplifybackend.{region}.amazonaws.com/backend/{appId}/authCreates a new backend authentication resource.
Access Token Required: API Key
Path Parameters
appIdstringrequired
The app ID.
Body Params
resourceNamestringrequired
The name of this resource.
resourceConfigobjectrequired
Defines the resource configuration when creating an auth resource in your Amplify project.
backendEnvironmentNamestringrequired
The name of the backend environment.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}